Page MenuHomeFreeBSD

audio/libsidplayfp: Update to 2.0.5
ClosedPublic

Authored by otis on Dec 20 2020, 2:33 PM.
Tags
None
Referenced Files
Unknown Object (File)
Feb 20 2024, 8:08 AM
Unknown Object (File)
Feb 20 2024, 8:08 AM
Unknown Object (File)
Feb 20 2024, 8:08 AM
Unknown Object (File)
Feb 20 2024, 1:20 AM
Unknown Object (File)
Dec 21 2023, 11:25 PM
Unknown Object (File)
Dec 20 2023, 6:02 AM
Unknown Object (File)
Dec 12 2023, 10:08 PM
Unknown Object (File)
Nov 29 2023, 4:44 AM
Subscribers

Details

Summary
audio/libsidplayfp: Update to 2.0.5

Changelogs:
- libsidplayfp-2.0.5:
  * Fixed CIA SDR handling, code borrowed from Denise emulator
  * Fixed external filter coefficients calculation in resid/residfp
  * Update osc3 on waveform zero in resid/residfp
   
- libsidplayfp-2.0.4:
  * Further improved CPU/CIA/VICII emulation based on VICE testprogs (bug #27)
  * Fixed an envelope generator regression in resid/residfp (bug #31)
  * Improved noise+pulse interaction in resid/residfp (bug #28)
   
- libsidplayfp-2.0.3:
  * Avoid saturation of residfp 8580 filter
  * Fix some UBSan warnings
   
- libsidplayfp-2.0.2:
  * Adjusted residfp 6581 filter parameter range (bug #30)
  * Recalculate noise output when actually changed in residfp
   
- libsidplayfp-2.0.1:
  * Fix loading stereo mus tunes
  * Fix residfp envelope (bug #29)
  * Minor interrupt timing tweaks
  * Dirty hack to reduce overloading in 8580 filter (bug #29)
   
- libsidplayfp-2.0.0:
  * Make digiboost work with resid
  * Fixed some initialization order warnings
   
- libsidplayfp-2.0.0rc:
  * Make MUS loading more robust to malformed files
  * Minor interrupt timing fixes
  * Reworked SidDatabase API
  * Fix hang on exit
   
- libsidplayfp-2.0.0beta2:
  * CIA model is now configurable
  * Added digiboost support
  * Added support for milliseconds in SLDB
  * Improved 8580 filter
  * CIA and SID fixes ported from VICE
  * Added MOS 6573 (PAL-M) emulation
  * Other minor fixes and code cleanup
   
- libsidplayfp-2.0.0beta:
  * Dropped deprecated functions
   
- libsidplayfp-2.0.0alpha4:
  * Dropped old 8580 filter implementation
  * Correctly clock oscillators in silent mode
  * Interrupt playback on invalid opcode execution
  * Minor envelope and noise writeback fixes in reSIDfp
   
- libsidplayfp-2.0.0alpha3:
  * Improved experimental 8580 filter emulation, now enabled by default
   
- libsidplayfp-2.0.0alpha2:
  * Reworked reSIDfp envelope generator based on analysis of chip die and transistor level emulation
  * Added new experimental 8580 filter emulation in reSIDfp
  * Fixed out of range tune selection
  * Other minor fixes and code cleanup
   
- libsidplayfp-2.0.0alpha1:
  * Cleaned up directory structure
  * Use c++11 features where supported
  * Added exSID USB support
  * Improved SID emulation
  * Do not use kernal calls in psid driver
  - Known bugs/limitations:
     * mus data embedded in psid file is not supported
     * hardsid support is untested and possibly broken

- libsidplayfp-1.8.8:
  * Fix misspelling in error message (bug #26)
  * Correctly clock oscillators in silent mode
  * CIA timing fixes
  * Allow running VICE tests

- libsidplayfp-1.8.7
  * Fix out of range tune selection
  * Reenable accidentally broken branch hints in residfp
  * Minor fix in VIC-II code ported from VICE

PR: 251305
Submitted by: Daniel Engberg

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable